#ifndef DEFAULT_ID_H
#define DEFAULT_ID_H

#ifndef ID_H
#include "ID.h"
#endif

namespace MM
{

class Default_id : public ID
{
public:    
    explicit            Default_id( int id );
    explicit            Default_id();
    virtual bool        is_equal(const ID & id) const;
    virtual ID *        clone() const;

private:
    int                 impl_;
};

}//MM

#endif //DEFAULT_ID_H
